#include "GUI.hpp"
#define window_height 600
#define window_width 800
/** GUI_init
 *  The GUI_init-function initializes all needed classes for the GUI.
 */
void GUI_init() {
    vkvm::initialize(0);
    My_Window *window = new My_Window(window_width, window_height, "example");
    Statusbar *status[5];
    Image *image = new Image(0, 30, window_width, window_height - 30);

    //Dummy-Values TBD
    status[0] = new Statusbar(0, 0, 60, 30, "status0");
    status[1] = new Statusbar(60, 0, 60, 30, "status1");
    status[2] = new Statusbar(120, 0, 60, 30, "status2");
    status[3] = new Statusbar(180, 0, 60, 30, "status3");
    status[4] = new Statusbar(240, 0, 60, 30, "status4");

}

/** GUI_run
 *  The GUI_run-function starts all functions needed for the GUI.
 */

void GUI_run() {
    window->begin();
    Fl::repeat_timeout(0.5, refresh_image, image);
    Fl::repeat_timeout(1, change_color, image);
    Fl::repeat_timeout(0.5, refresh_statusbar, status);
    Fl::repeat_timeout(1, change_status, status);
    window->end();
    window->show(argc, argv);
    return Fl::run();
}
